//YOU'LL OBVIOUSLY NEED THE INCLUDE FILES

BBitmap *RetrieveBitmap(const char *name)
{
app_info info;
BFile *file;
size_t length;
int32 idFound;
void *data;
BMessage *mes;
BBitmap *bitmap=NULL;

if(be_app->GetAppInfo(&info)!=B_OK) 
	{
	return NULL;
	}
file = new BFile(&info.ref, B_READ_ONLY);
if(file->InitCheck()!=B_NO_ERROR) 
	{
	delete file;
	return NULL;
	}
BResources *res;
res= new BResources(file);
if(res->GetResourceInfo(B_RAW_TYPE, name, &idFound, &length)==false) 
	{
	delete res;
	delete file;
	return NULL;
	}
data = malloc(length);
if(res->ReadResource(B_RAW_TYPE, idFound, data, 0, length)==B_ERROR)
	{
	delete file;
	delete res;
	delete data;
	return NULL;
	}
mes = new BMessage();
if(mes->Unflatten((const char*)data)!=B_OK)
	{
	delete file;
	delete res;
	delete data;
	delete mes;
	return NULL;
	}
BArchivable *unarchived = instantiate_object(mes);
if(unarchived)
	{
	bitmap = cast_as(unarchived, BBitmap);
	if(!bitmap)
		{
		delete bitmap;
		delete file;
		delete res;
		delete data;
		delete mes;
		return NULL;
		}
	delete res;
	delete file;
	delete data;
	delete mes;
	return bitmap;
	}
delete data;
delete file;
delete res;
return NULL;
}